%global _empty_manifest_terminate_build 0
Name:           python-jaeger-client
Version:        4.8.0
Release:        3
Summary:        Jaeger Python OpenTracing Tracer implementation
License:        Apache-2.0
URL:            https://github.com/jaegertracing/jaeger-client-python
Source0:        https://files.pythonhosted.org/packages/c6/03/39a1190c987635e2293e59ff462ee9884fdd6184d2c5a25c867b250e6609/jaeger-client-4.8.0.tar.gz
Patch0:		fix-check-error.patch
BuildArch:      noarch
%description
This is a client-side library that can be used to instrument Python apps for distributed trace collection,
and to send those traces to Jaeger. See the OpenTracing Python API for additional detail.


%package -n python3-jaeger-client
Summary:        Jaeger Python OpenTracing Tracer implementation
Provides:       python-jaeger-client
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-opentracing
BuildRequires:  python3-tornado
BuildRequires:  python3-thrift
BuildRequires:  python3-threadloop
BuildRequires:  python3-mock
BuildRequires:  python3-pytest
BuildRequires:  python3-prometheus-client
BuildRequires:  python3-pycurl
%description -n python3-jaeger-client
This is a client-side library that can be used to instrument Python apps for distributed trace collection,
and to send those traces to Jaeger. See the OpenTracing Python API for additional detail.


%package help
Summary:        Jaeger Python OpenTracing Tracer implementation
Provides:       python3-jaeger-client-doc
%description help
This is a client-side library that can be used to instrument Python apps for distributed trace collection,
and to send those traces to Jaeger. See the OpenTracing Python API for additional detail.


%prep
%autosetup -n jaeger-client-4.8.0 -p1

%build
%py3_build


%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} setup.py test

%files -n python3-jaeger-client -f filelist.lst
%dir %{python3_sitelib}/*


%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Aug 16 2024 zhangxianting <zhangxianting@uniontech.com> - 4.8.0-3
- fix check error

* Sat May 11 2024 tzing_t <zhengting13@huawei.com> - 4.8.0-2
- fix build error

* Fri Jul 22 2022 liksh <li_kunshan@163.com> - 4.8.0-1
- Upgrade package for openstack yoga

* Tue Jul 13 2021 OpenStack_SIG <openstack@openeuler.org> - 4.4.0-1
- Package Spec generate
